summaryrefslogtreecommitdiff
path: root/tests/cp
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2001-10-20 13:59:57 +0000
committerJim Meyering <jim@meyering.net>2001-10-20 13:59:57 +0000
commitf2d0d9bda9e6338bd94fca51e03a27c84f8e27b9 (patch)
tree03c02155295d4cbbf0d9798d5e74ef8fb9676ce4 /tests/cp
parent30b904e1f3473bac6311a373bee067ba52bfa3c9 (diff)
downloadcoreutils-f2d0d9bda9e6338bd94fca51e03a27c84f8e27b9.tar.xz
Don't use a umask that removes owner
read/write. That induces spurious failures in a probably-old version of purify.
Diffstat (limited to 'tests/cp')
-rwxr-xr-xtests/cp/link-preserve6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/cp/link-preserve b/tests/cp/link-preserve
index 53db11f5a..79e355e6d 100755
--- a/tests/cp/link-preserve
+++ b/tests/cp/link-preserve
@@ -78,11 +78,11 @@ test "$a_inode" = "$b_inode" || fail=1
# Ensure that --no-preserve=mode works
rm -rf a b c d
-touch a; chmod 400 a
-umask 777
+touch a; chmod 731 a
+umask 077
cp -a --no-preserve=mode a b
set _ `ls -l b`; shift; mode=$1
-test "$mode" = "----------" || fail=1
+test "$mode" = "-rwx------" || fail=1
umask 022
# --------------------------------------